diff -ruN asterisk-1.8.13.0-orig/apps/app_transfer.c asterisk-1.8.13.0/apps/app_transfer.c
--- asterisk-1.8.13.0-orig/apps/app_transfer.c	2012-04-03 17:08:10.000000000 -0300
+++ asterisk-1.8.13.0/apps/app_transfer.c	2012-06-26 16:42:13.559318861 -0300
@@ -72,6 +72,8 @@
 					</value>
 				</variable>
 			</variablelist>
+			<para>In case of transfer status code available, it will be reported
+			in the <variable>TRANSFERCODE</variable> channel variable.</para>
 		</description>
 	</application>
  ***/
diff -ruN asterisk-1.8.13.0-orig/channels/chan_sip.c asterisk-1.8.13.0/channels/chan_sip.c
--- asterisk-1.8.13.0-orig/channels/chan_sip.c	2012-05-30 11:23:36.000000000 -0300
+++ asterisk-1.8.13.0/channels/chan_sip.c	2012-06-26 16:43:14.280318829 -0300
@@ -20530,6 +20530,13 @@
 	if (!p->refer)
 		return;
 
+	if (p->owner)
+	{
+		char respcode[100];
+		sprintf(respcode,"%d",resp);
+		pbx_builtin_setvar_helper(p->owner, "TRANSFERCODE", respcode);
+	}
+
 	switch (resp) {
 	case 202:   /* Transfer accepted */
 		/* We need  to do something here */
@@ -21817,6 +21824,10 @@
 			}
 			break;
 		}
+                if (p->owner)
+		{
+			pbx_builtin_setvar_helper(p->owner, "TRANSFERCODE", code);
+		}
 		if (success == FALSE) {
 			ast_log(LOG_NOTICE, "Transfer failed. Sorry. Nothing further to do with this call\n");
 		}
